Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.transport.server
Class EPPPlainServer

    java.lang.Object
      com.verisign.epp.transport.server.EPPPlainServer

All Implemented Interfaces:
  EPPServerCon

Direct Known Subclasses:
  EPPPlainServerSingle

    public class EPPPlainServer

extends java.lang.Object
implements EPPServerCon

DOCUMENT ME!

Since:
  JDK1.0
Version:
  1.0, 03/10/01
Author:
  P. Amiri

Constructor Summary
`EPPPlainServer()` Pre-condition the util.Env provide the properties

Method Summary
`void` | `close()` DOCUMENT ME!
`void` | `loop()` DOCUMENT ME!
`void` | `RunServer(ServerEventHandler newHandler)` DOCUMENT ME!

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPPPlainServer

    public EPPPlainServer()
                   throws EPPConException

  Pre-condition the util.Env provide the properties

  Throws:
    `EPPConException` - DOCUMENT ME!

Method Detail

### RunServer

    public void RunServer(ServerEventHandler newHandler)
                   throws EPPConException

  DOCUMENT ME!

  Specified by:
    `RunServer` in interface `EPPServerCon`
  Parameters:
    `newHandler` - DOCUMENT ME!
  Throws:
    `EPPConException` - DOCUMENT ME!

### loop

    public void loop()
              throws EPPConException

  DOCUMENT ME!

  Throws:
    `EPPConException` - DOCUMENT ME!

### close

    public void close()
               throws EPPConException

  DOCUMENT ME!

  Throws:
    `EPPConException` - DOCUMENT ME!

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.